List All Products
curl --request GET \
--url https://api.trata.ai/v1/products \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.trata.ai/v1/products"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.trata.ai/v1/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "pro.1731301754.OZSMSU1S",
"orgId": "org.1726902940.GZChqlpU",
"active": true,
"defaultPrice": 1299,
"currency": "USD",
"description": "Spicy Korean Chicken Wings",
"name": "Spicy Korean Chicken Wings",
"shippable": true,
"features": [],
"scheduleAppointment": false,
"props": {},
"status": "active",
"createdBy": "trata-system",
"createdAt": "2024-11-11T05:09:14.979287",
"updatedBy": "trata-system",
"updatedAt": "2024-11-11T05:09:14.979289"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Products
List All Products
List All Products
GET
/
v1
/
products
List All Products
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Field name to search by
Value to search for in the specified field
Filter by status
Field to sort by
Sort order (asc or desc)
Available options:
asc, desc Number of records to skip
Required range:
x >= 0Maximum number of records to return
Required range:
1 <= x <= 100Filter products by specific tags
Filter by specific product IDs
Response
List of products retrieved successfully
Product is active or not
Default price of the product this is represented in the lowest currency denomination. Eg: 1000 for $10
Description of the product
Required string length:
1 - 256Name of the product
Required string length:
1 - 256Product is shippable or not. Service is not shippable
List of features of the product
Product requires appointment scheduling or not
Properties of the product
